
local l_engRpm_sim = AddSimple(nil,{-0.4*width,0.347992*height},nil,B_Page3_sim)
local l_engTmp_sim = AddSimple(nil,{-0.4*width,-0.45*height},nil,B_Page3_sim)
local r_engRpm_sim = AddSimple(nil,{0.4*width,0.347992*height},nil,B_Page3_sim)
local r_engTmp_sim = AddSimple(nil,{0.4*width,-0.45*height},nil,B_Page3_sim)

if not BackUpIndicator then
    SUB_PAGE_NAME = 'B3_SUB_PAGE'
    SUB_PAGE_VAL = Pages[Pages.B3].BASE
else
    SUB_PAGE_NAME = 'BB3_SUB_PAGE'
    SUB_PAGE_VAL = Pages[Pages.FCS].BASE
end

AddText(nil,'左','unicode_cn_white',{0,0.45*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,l_engRpm_sim)
AddText(nil,'转速','unicode_cn_green',{0,-0.35*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,l_engRpm_sim)
AddText(nil,'温度','unicode_cn_green',{0,-0.35*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,l_engTmp_sim)
AddCircle(nil,0.21*width,0.19*width,270,72,nil,nil,'DBG_YELLOW',nil,nil,l_engRpm_sim)
AddCircle(nil,0.21*width,0.19*width,30,72,nil,{90,0},'DBG_RED',nil,nil,l_engRpm_sim)
AddSimpleLine(nil,0.008*width,{{0,0},{0,0.19*width}},nil,nil,'DBG_YELLOW',nil,nil,l_engRpm_sim,{'L_ENG_RPM'},{
    {AnimalControllor.rotateUsingParameter,0,-math.rad(2.7)}
})
local txt = AddText(nil,nil,'unicode_cn_green',{-0.2*width,0.2*width},nil,DEFAULT_FONT_SIZE[6],nil,nil,l_engRpm_sim,{'%.1f'},{'L_ENG_RPM'},
{
    {AnimalControllor.textUsingParameter,0}
}
)
AddBoxBorder(nil,0.2*width,0.1*height,0.008*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)

AddCircle(nil,0.21*width,0.19*width,270,72,nil,nil,'DBG_RED',nil,nil,l_engTmp_sim)
AddCircle(nil,0.21*width,0.19*width,30,72,nil,{90,0},'DBG_YELLOW',nil,nil,l_engTmp_sim)
AddSimpleLine(nil,0.008*width,{{0,0},{0,0.19*width}},nil,nil,'DBG_YELLOW',nil,nil,l_engTmp_sim,{'L_ENG_TMP'},{
    {AnimalControllor.rotateUsingParameter,0,-math.rad(0.24)},
})
txt = AddText(nil,nil,'unicode_cn_green',{-0.2*width,0.2*width},nil,DEFAULT_FONT_SIZE[6],nil,nil,l_engTmp_sim,{'%.1f'},{'L_ENG_TMP'},
{
    {AnimalControllor.textUsingParameter,0},
}
)
AddBoxBorder(nil,0.2*width,0.1*height,0.008*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)


AddText(nil,'右','unicode_cn_white',{0,0.45*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,r_engRpm_sim)
AddText(nil,'转速','unicode_cn_green',{0,-0.35*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,r_engRpm_sim)
AddText(nil,'温度','unicode_cn_green',{0,-0.35*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,r_engTmp_sim)
AddCircle(nil,0.21*width,0.19*width,270,72,nil,nil,'DBG_YELLOW',nil,nil,r_engRpm_sim)
AddCircle(nil,0.21*width,0.19*width,30,72,nil,{90,0},'DBG_RED',nil,nil,r_engRpm_sim)
AddSimpleLine(nil,0.008*width,{{0,0},{0,0.19*width}},nil,nil,'DBG_YELLOW',nil,nil,r_engRpm_sim,{'R_ENG_RPM'},{
    {AnimalControllor.rotateUsingParameter,0,-math.rad(2.7)},
})
txt = AddText(nil,nil,'unicode_cn_green',{-0.2*width,0.2*width},nil,DEFAULT_FONT_SIZE[6],nil,nil,r_engRpm_sim,{'%.1f'},{'R_ENG_RPM'},
{
    {AnimalControllor.textUsingParameter,0},
}
)
AddBoxBorder(nil,0.2*width,0.1*height,0.008*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)

AddCircle(nil,0.21*width,0.19*width,270,72,nil,nil,'DBG_RED',nil,nil,r_engTmp_sim)
AddCircle(nil,0.21*width,0.19*width,30,72,nil,{90,0},'DBG_YELLOW',nil,nil,r_engTmp_sim)
AddSimpleLine(nil,0.008*width,{{0,0},{0,0.19*width}},nil,nil,'DBG_YELLOW',nil,nil,r_engTmp_sim,{'R_ENG_TMP'},{
    {AnimalControllor.rotateUsingParameter,0,-math.rad(0.24)},
})
txt = AddText(nil,nil,'unicode_cn_green',{-0.2*width,0.2*width},nil,DEFAULT_FONT_SIZE[6],nil,nil,r_engTmp_sim,{'%.1f'},{'R_ENG_TMP'},
{
    {AnimalControllor.textUsingParameter,0},
}
)
AddBoxBorder(nil,0.2*width,0.1*height,0.008*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)

txt = AddText(nil,'引\n擎','unicode_cn_white',{-0.9*width,0.7*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,B_Page3_sim)
if not BackUpIndicator then
    SUB_PAGE_VAL = Pages[Pages.B3].APU
else
    SUB_PAGE_VAL = Pages[Pages.FCS].APU
end

txt = AddText(nil,'A\nP\nU','unicode_cn_white',{-0.9*width,0.7*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,B_Page3_sim)

AddBoxBorder(nil,0.08*width,0.3*height,0.01*width,nil,nil,'DBG_GREEN',nil,nil,txt)

AddText(nil,'转速','unicode_cn_green',{0,-0.55*height},nil,DEFAULT_FONT_SIZE[6],nil,nil,B_Page3_sim)

AddCircle(nil,0.4*width,0.38*width,270,72,nil,nil,'DBG_YELLOW',nil,nil,B_Page3_sim)
AddCircle(nil,0.4*width,0.38*width,30,72,nil,{90,0},'DBG_RED',nil,nil,B_Page3_sim)
AddSimpleLine(nil,0.008*width,{{0,0},{0,0.38*width}},nil,nil,'DBG_YELLOW',nil,nil,B_Page3_sim,{'APU_EFM_RPM'},
{
    {AnimalControllor.rotateUsingParameter,0,-math.rad(2.7)},
})
txt = AddText(nil,nil,'unicode_cn_green',{-0.4*width,0.4*width},nil,DEFAULT_FONT_SIZE[6],nil,nil,B_Page3_sim,{'%.1f'},{'APU_EFM_RPM'},
{
    {AnimalControllor.textUsingParameter,0},
}
)
AddBoxBorder(nil,0.2*width,0.1*height,0.008*width,nil,nil,FrameEdgeMaterial,nil,nil,txt)

SUB_PAGE_NAME = nil
SUB_PAGE_VAL = nil

txt = AddText(nil,'切\n换','unicode_cn_green',{-0.9*width,0},nil,DEFAULT_FONT_SIZE[6],nil,nil,B_Page3_sim,nil,{'ENG_SW_CLICK'},{
    {AnimalControllor.changeColorWhenParameterEqualToNumber,0,1,1,1,1}
})
AddBoxBorder(nil,0.08*width,0.2*height,0.01*width,nil,nil,'DBG_GREEN',nil,nil,txt,{'ENG_SW_CLICK'},{
    {AnimalControllor.parameterInRange,0,0.9,1.1}
})

if not BackUpIndicator then
    SUB_PAGE_NAME = 'B3_SUB_PAGE'
    SUB_PAGE_VAL = Pages[Pages.B3].RADAR_L
    width = (Width-0.507*Width)*0.5
    dofile(LockOn_Options.script_path.."displays/MFD/Indicator/pages/radarSidePage.lua")
    SUB_PAGE_NAME = nil
    SUB_PAGE_VAL = nil
    width = 0.1215*Width
end
AddMeshPoly(nil,{{-0.766356*width,-0.970537*height},{-0.601763*width,-0.768747*height},{-0.934214*width,-0.768747*height}},{0,1,2},nil,nil,'DBG_WHITE',nil,nil,B_Page3_sim)
AddMeshPoly(nil,{{-0.766356*width,-0.946215*height},{-0.637029*width,-0.783899*height},{-0.901052*width,-0.783899*height}},{0,1,2},nil,nil,'LIGHT_BLUE',nil,nil,B_Page3_sim)